Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> CGI abuses >> WebLogic management servlet


Vulnerability Assessment Details

WebLogic management servlet

Vulnerability Assessment Summary
Checks the version of WebLogic

Detailed Explanation for this Vulnerability Assessment

The remote web server is WebLogic

An internal management servlet which does not properly
check user credential can be accessed from outside, permiting
a cracker to change user passwords, and even upload or download
any file on the remote server.

In addition to this, there is a flaw in WebLogic 7.0 which may
permit users to delete empty subcontexts.

*** Note that Nessus only checked the version in the server banner
*** So this might be a false positive.

See also : http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA03-28.jsp

Solutions :
- apply Service Pack 2 Rolling Patch 3 on WebLogic 6.0
- apply Service Pack 4 on WebLogic 6.1
- apply Service Pack 2 on WebLogic 7.0 or 7.0.0.1

Network Security Threat Level: High

Networks Security ID: 7122, 7124, 7130, 7131

Vulnerability Assessment Copyright: This script is Copyright (C) 2003 Michel Arboi

Cables, Connectors

HP Z820 W7 PRO E5-2650LV2 1.70GHZ 32GB 2 X 1TB SATA NVS310 512MB
$2569.0
HP Z820 W7 PRO E5-2650LV2 1.70GHZ 32GB 2 X 1TB SATA NVS310 512MB picture1TB External Hard Drive USB 2.0 ~ Western Digital My Passport ~ WDBABM0010BBK
$39.99
1TB External Hard Drive USB 2.0 ~ Western Digital My Passport ~ WDBABM0010BBK  picture


Discussions

No Discussions have been posted on this vulnerability.